GNU Radio 2.x: gr_fir_util struct Reference

Main Page | Modules | Namespace List | Class Hierarchy | Compound List | File List | Namespace Members | Compound Members | File Members

# gr_fir_util Struct Reference

`#include <gr_fir_util.h>`

List of all members.

## Static Public Member Functions
gr_fir_ccf * | create_gr_fir_ccf (const std::vector< float > &taps)
gr_fir_fcc * | create_gr_fir_fcc (const std::vector< gr_complex > &taps)
gr_fir_ccc * | create_gr_fir_ccc (const std::vector< gr_complex > &taps)
gr_fir_fff * | create_gr_fir_fff (const std::vector< float > &taps)
gr_fir_scc * | create_gr_fir_scc (const std::vector< gr_complex > &taps)
gr_fir_fsf * | create_gr_fir_fsf (const std::vector< float > &taps)
void | get_gr_fir_ccf_info (std::vector< gr_fir_ccf_info > *info)
void | get_gr_fir_fcc_info (std::vector< gr_fir_fcc_info > *info)
void | get_gr_fir_ccc_info (std::vector< gr_fir_ccc_info > *info)
void | get_gr_fir_fff_info (std::vector< gr_fir_fff_info > *info)
void | get_gr_fir_scc_info (std::vector< gr_fir_scc_info > *info)
void | get_gr_fir_fsf_info (std::vector< gr_fir_fsf_info > *info)

## Member Function Documentation

gr_fir_ccc * gr_fir_util::create_gr_fir_ccc | ( | const std::vector< gr_complex > & | taps | ) | `[static]`

gr_fir_ccf * gr_fir_util::create_gr_fir_ccf | ( | const std::vector< float > & | taps | ) | `[static]`

gr_fir_fcc * gr_fir_util::create_gr_fir_fcc | ( | const std::vector< gr_complex > & | taps | ) | `[static]`

gr_fir_fff * gr_fir_util::create_gr_fir_fff | ( | const std::vector< float > & | taps | ) | `[static]`

gr_fir_fsf * gr_fir_util::create_gr_fir_fsf | ( | const std::vector< float > & | taps | ) | `[static]`

gr_fir_scc * gr_fir_util::create_gr_fir_scc | ( | const std::vector< gr_complex > & | taps | ) | `[static]`

void gr_fir_util::get_gr_fir_ccc_info | ( | std::vector< gr_fir_ccc_info > * | info | ) | `[static]`

void gr_fir_util::get_gr_fir_ccf_info | ( | std::vector< gr_fir_ccf_info > * | info | ) | `[static]`

void gr_fir_util::get_gr_fir_fcc_info | ( | std::vector< gr_fir_fcc_info > * | info | ) | `[static]`

void gr_fir_util::get_gr_fir_fff_info | ( | std::vector< gr_fir_fff_info > * | info | ) | `[static]`

void gr_fir_util::get_gr_fir_fsf_info | ( | std::vector< gr_fir_fsf_info > * | info | ) | `[static]`

void gr_fir_util::get_gr_fir_scc_info | ( | std::vector< gr_fir_scc_info > * | info | ) | `[static]`

The documentation for this struct was generated from the following files:

- gr_fir_util.h
- gr_fir_util.cc